# Create affiliate
URL: /docs/api-reference/affiliates/create-affiliate
Description: Creates a new affiliate in your organization.

**POST** `https://www.promotekit.com/api/v1/affiliates`

Creates a new affiliate in your organization.

## Authentication

Requires a Bearer token in the `Authorization` header.

## Request Body

- `email`: string (email) **(required)** - Affiliate email (required)
- `first_name`: string **(required)** - First name
- `last_name`: string **(required)** - Last name
- `payout_email`: string (email) - Payout email address
- `ref_code`: string - Unique code that goes at the end of the affiliate link
- `promo_code`: string - Stripe promo code (will be generated if it doesn't already exist in Stripe)
- `campaign_id`: string (uuid) - Campaign UUID (uses default if not provided)
- `approved`: boolean - Whether to approve the affiliate to start promoting immediately
- `details`: string - Additional details
- `new_paid_referral_notifications`: boolean - Whether the affiliate receives email alerts when they make a new paid referral

## Responses

### 200 - Affiliate created

- `success`: boolean **(required)**
- `data`: object **(required)**

### 400 - Invalid request

- `success`: boolean **(required)**
- `error`: object **(required)**

### 401 - Authentication failed

- `success`: boolean **(required)**
- `error`: object **(required)**

### 429 - Rate limit exceeded

- `success`: boolean **(required)**
- `error`: object **(required)**